org.apache.http.conn.routing

## Class RouteTracker

- java.lang.Object
- - org.apache.http.conn.routing.RouteTracker

- All Implemented Interfaces:
    Cloneable ， RouteInfo

      public final class RouteTracker
      extends Object
      implements RouteInfo, Cloneable

  帮助跟踪建立路线的步骤。
  从以下版本开始：
    4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.http.conn.routing.RouteInfo

      `RouteInfo.LayerType, RouteInfo.TunnelType`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RouteTracker(HttpHost target, InetAddress local)` 创建一个新的路线跟踪器。
    `RouteTracker(HttpRoute route)` 为给定的路线创建一个新的跟踪器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `void` | `connectProxy(HttpHost proxy, boolean secure)` 跟踪连接到第一个代理。
    `void` | `connectTarget(boolean secure)` 连接到目标的轨道。
    `boolean` | `equals(Object o)` 将此跟踪路线与另一路径进行比较。
    `int` | `getHopCount()` 获取此路由中的跳数。
    `HttpHost` | `getHopTarget(int hop)` 获得这条路线中的跳跃目标。
    `RouteInfo.LayerType` | `getLayerType()` 获取此路由的分层类型。
    `InetAddress` | `getLocalAddress()` 获取要连接的本地地址。
    `HttpHost` | `getProxyHost()` 获取第一个代理主机。
    `HttpHost` | `getTargetHost()` 获取目标主机。
    `RouteInfo.TunnelType` | `getTunnelType()` 获取此路由的隧道类型。
    `int` | `hashCode()` 为此跟踪路由生成哈希码。
    `boolean` | `isConnected()`
    `boolean` | `isLayered()` 检查此路由是否包含分层协议。
    `boolean` | `isSecure()` 检查这条路线是否安全。
    `boolean` | `isTunnelled()` 检查此路由是否通过代理隧道通过。
    `void` | `layerProtocol(boolean secure)` 跟踪分层协议。
    `void` | `reset()`
    `HttpRoute` | `toRoute()` 获得跟踪的路线。
    `String` | `toString()` 获取跟踪路线的描述。
    `void` | `tunnelProxy(HttpHost proxy, boolean secure)` 跟踪代理链中的代理。
    `void` | `tunnelTarget(boolean secure)` 跟踪隧道到目标。

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### RouteTracker

          public RouteTracker(HttpHost target,
                      InetAddress local)

      创建一个新的路线跟踪器。 目标和起源需要在创建时指定。
      参数
        `target` - 要路由的主机
        `local` - 要路由的本地地址，或 `null`为 `null`

    - #### RouteTracker

          public RouteTracker(HttpRoute route)

      为给定的路线创建一个新的跟踪器。 只有目标和起源取自路线，其他一切还有待追踪。
      参数
        `route` - 追踪路线

  - ### 方法详细信息

    - #### reset

          public void reset()

      从以下版本开始：
        4.2

    - #### connectTarget

          public final void connectTarget(boolean secure)

      连接到目标的轨道。
      参数
        `secure` - `true`如果路由是安全的， `false`否则

    - #### connectProxy

          public final void connectProxy(HttpHost proxy,
                          boolean secure)

      跟踪连接到第一个代理。
      参数
        `proxy` - 代理连接到
        `secure` - `true`如果路由是安全的， `false`否则

    - #### tunnelTarget

          public final void tunnelTarget(boolean secure)

      跟踪隧道到目标。
      参数
        `secure` - `true`如果路由是安全的， `false`否则

    - #### tunnelProxy

          public final void tunnelProxy(HttpHost proxy,
                         boolean secure)

      跟踪代理链中的代理。 这将扩展跟踪的代理链，但它不会将路由标记为隧道。 只有端到端的隧道被认为是在那里。
      参数
        `proxy` - 代理隧道
        `secure` - `true`如果路由是安全的， `false`否则

    - #### layerProtocol

          public final void layerProtocol(boolean secure)

      跟踪分层协议。
      参数
        `secure` - `true`如果路由安全，否则为 `false`

    - #### getTargetHost

          public final HttpHost getTargetHost()

      描述从接口`RouteInfo`复制
      获取目标主机。
      Specified by:
        `getTargetHost`接口 `RouteInfo`
      结果
        目标主机

    - #### getLocalAddress

          public final InetAddress getLocalAddress()

      描述从接口`RouteInfo`复制
      获取要连接的本地地址。
      Specified by:
        `getLocalAddress`在接口 `RouteInfo`
      结果
        本地地址，或 `null`

    - #### getHopCount

          public final int getHopCount()

      描述从接口`RouteInfo`复制
      获取此路由中的跳数。 直达路线有一跳。 通过代理的路由有两个跳。 通过n个代理链的路线具有n + 1跳。
      Specified by:
        `getHopCount`在接口 `RouteInfo`
      结果
        这条路线中的跳数

    - #### getHopTarget

          public final HttpHost getHopTarget(int hop)

      描述从接口`RouteInfo`复制
      获得这条路线中的跳跃目标。 最后一跳的目标是`target host` ，以前的啤酒花的目标是链中的各自的代理。 对于通过一个代理的路由，跳转目标0是代理，跳1的目标是目标主机。
      Specified by:
        `getHopTarget`在接口 `RouteInfo`
      参数
        `hop` - 获取目标的跳数索引，第一个为0
      结果
        给定跳的目标

    - #### getProxyHost

          public final HttpHost getProxyHost()

      说明从接口`RouteInfo`复制
      获取第一个代理主机。
      Specified by:
        `getProxyHost`在接口 `RouteInfo`
      结果
        代理链中的第一个代理，或 `null`如果此路由是直接的

    - #### isConnected

          public final boolean isConnected()

    - #### getTunnelType

          public final RouteInfo.TunnelType getTunnelType()

      描述从接口`RouteInfo`复制
      获取此路由的隧道类型。 如果有代理链，则只考虑端到端隧道。
      Specified by:
        `getTunnelType`在接口 `RouteInfo`
      结果
        隧道式

    - #### isTunnelled

          public final boolean isTunnelled()

      描述从接口`RouteInfo`复制
      检查此路由是否通过代理隧道通过。 如果有代理链，则只考虑端到端隧道。
      Specified by:
        `isTunnelled`在接口 `RouteInfo`
      结果
        `true`如果通过至少一个代理端到端隧道， `false`否则

    - #### getLayerType

          public final RouteInfo.LayerType getLayerType()

      说明从界面： `RouteInfo`复制
      获取此路由的分层类型。 在代理存在的情况下，仅考虑端到端隧道的分层。
      Specified by:
        `getLayerType`接口 `RouteInfo`
      结果
        分层类型

    - #### isLayered

          public final boolean isLayered()

      说明从界面： `RouteInfo`复制
      检查此路由是否包含分层协议。 在代理存在的情况下，仅考虑端到端隧道的分层。
      Specified by:
        `isLayered`在接口 `RouteInfo`
      结果
        `true`如果分层， `false`否则

    - #### isSecure

          public final boolean isSecure()

      描述从接口`RouteInfo`复制
      检查这条路线是否安全。
      Specified by:
        `isSecure`在接口 `RouteInfo`
      结果
        `true`如果安全， `false`否则

    - #### toRoute

          public final HttpRoute toRoute()

      获得跟踪的路线。 如果路由被跟踪，则为`connected` 。 如果没有连接，到目前为止还没有跟踪。
      结果
        跟踪的路线，或 `null`如果迄今没有跟踪

    - #### equals

          public final boolean equals(Object o)

      将此跟踪路线与另一路径进行比较。
      重写：
        `equals`在 `Object`
      参数
        `o` - 要比较的对象
      结果
        `true`如果参数是相同的跟踪路由， `false`

    - #### hashCode

          public final int hashCode()

      为此跟踪路由生成哈希码。 路由跟踪器是可修改的，因此不应用作查找键。 使用`toRoute`获取跟踪路由的不可修改的表示。
      重写：
        `hashCode`在 `Object`类
      结果
        哈希码

    - #### toString

          public final String toString()

      获取跟踪路线的描述。
      重写：
        `toString`在 `Object`类
      结果
        跟踪路由的人类可读表示

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      重写：
        `clone`在 `Object`
      异常
        `CloneNotSupportedException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585